
Foreman - Bug #23977

onClick callback is missing in Breadcrumbs component

06/18/2018 12:02 PM - Amir Fefer

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category:    

Target version: 1.18.0   

Difficulty:  Fixed in Releases: 1.18.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5710

  

Description

Katello uses react-router, which doesn't support regular href - which means links won't work in katello.

In order to support breadcrumbs in katello, foreman needs to add onclick callback support.

Associated revisions

Revision b51f2297 - 07/10/2018 03:00 PM - Amir Fefer

Fixes #23977 - add onClick callback to breadcrumbs

History

#1 - 06/18/2018 12:06 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5710 added

#2 - 06/18/2018 12:42 PM - Walden Raines

- translation missing: en.field_release set to 330

Need this in 1.18 in order to support breadcrumbs in katello react pages.

#3 - 07/10/2018 03:02 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b51f2297738fec87bd7bbf791fcd024854109f50.

#4 - 07/12/2018 06:26 AM - Ondřej Pražák

- Triaged set to No

- Fixed in Releases 1.18.0 added
